/*
 * SmartcardioNFC - a library providing a smartcardio implementation for NFC on Android
 *
 * Copyright (C) 2017 gematik - Gesellschaft für Telematikanwendungen der Gesundheitskarte mbH <info@gematik.de> +49 30 40041-0
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.gematik.security.test;

import android.support.test.runner.AndroidJUnit4;
import android.util.Log;

import de.gematik.security.card2server.Client;
import de.gematik.security.iso7816.Iso7816UnsuccessfulExecutionException;

import org.junit.Test;
import org.junit.runner.RunWith;

import javax.smartcardio.CardException;

@RunWith(AndroidJUnit4.class)
public class Card2ServerTest extends NfcBaseTest {
    private static final String TAG = Card2ServerTest.class.getName();

    @Test
    public void testWithServer() throws CardException, Iso7816UnsuccessfulExecutionException {
        Log.i(TAG, "testWithServer()");

        Client client = new Client(healthcardContext, "http://lnl07.lab.gematik.de:8085");
        client.updateVSDM();
    }

}
