/*
 * SmartcardioNFC - a library providing a smartcardio implementation for NFC on Android
 *
 * Copyright (C) 2017 gematik - Gesellschaft für Telematikanwendungen der Gesundheitskarte mbH <info@gematik.de> +49 30 40041-0
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.gematik.security.test;

import android.support.test.InstrumentationRegistry;
import android.support.test.runner.AndroidJUnit4;
import android.util.Log;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;

import javax.smartcardio.CardException;

@RunWith(AndroidJUnit4.class)
public class NfcDisconnectTest extends NfcBaseTest {
    private static final String TAG = NfcDisconnectTest.class.getName();

    @Before
    public void setUp() throws Exception {
        super.setUp();
        // just needed to display activity again in order to signal end of test suite
        injectInstrumentation(InstrumentationRegistry.getInstrumentation());
        activity = getActivity();
    }

    @Test
    public void disconnectCard() throws CardException {
        Log.i(TAG, "disconnectCard() - only after last test is executed");

        assertNotNull("nfcCard is null", nfcCard);

        try {
            nfcCard.disconnect(true);
            Log.i(TAG, "Card disconnected!");
        } catch(CardException e) {
            Log.e(TAG, "close card unsuccessful");
            throw e;
        } finally {
            activity.finish();
            activity = null;
            nfcCard = null;
            healthcardContext = null;
        }
    }

}
